%global srcname fava

Name:           python-%{srcname}
Version:        1.30.1
Release:        %autorelease
Summary:        Web interface for the accounting tool Beancount

License:        MIT
URL:            https://beancount.github.io/fava/
Source:         %{pypi_source fava}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  sed

%global _description %{expand:
Fava is a web interface for the double-entry bookkeeping software Beancount
with a focus on features and usability.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%package -n     %{srcname}
Summary:        %{summary}
Requires:       python3-%{srcname} = %{version}-%{release}
Suggests:       %{srcname}-doc

%description -n %{srcname} %_description

# Excel extra is disabled due to missing dependencies for now
# %%pyproject_extras_subpkg -n %%{srcname} excel

%package -n     %{srcname}-doc
Summary:        Documentation and examples for %{srcname}
Requires:       python3-docs

%description -n %{srcname}-doc %_description

This package contains additional documentation and examples for Fava.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Drop unnecessary dependencies
sed -i pyproject.toml \
  -e '/pytest-cov/d' \
  -e '/pyinstaller/d' \
  -e '/types-setuptools/d' \
  -e '/types-simplejson/d'

# Use local intersphinx inventory
sed -r \
    -e 's|https://docs.python.org/3|%{_docdir}/python3-docs/html|' \
    -i docs/conf.py

%generate_buildrequires
%pyproject_buildrequires -x dev

%build
%pyproject_wheel

PYTHONPATH=src %{python3} docs/generate.py
PYTHONPATH=src sphinx-build -b html docs build/docs
rm -rf build/docs/{.buildinfo,.doctrees}

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
%pytest -v

%files -n %{srcname} -f %{pyproject_files}
%doc README.rst AUTHORS CHANGES contrib/icon.svg
%{_bindir}/%{srcname}

%files -n %{srcname}-doc
%license LICENSE
%doc contrib/examples
%doc build/docs

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
%autochangelog
